OpenShot Audio Library | OpenShotAudio: juce::NamedValueSet::NamedValue Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::NamedValueSet::NamedValue Struct Reference

`#include <juce_NamedValueSet.h>`

## Public Member Functions
| NamedValue (const Identifier &name, const var &value)
| NamedValue (const Identifier &name, var &&value) noexcept
| NamedValue (Identifier &&name, var &&value) noexcept
| NamedValue (const NamedValue &)
| NamedValue (NamedValue &&) noexcept
NamedValue & | operator= (NamedValue &&) noexcept
bool | operator== (const NamedValue &) const noexcept
bool | operator!= (const NamedValue &) const noexcept

## Public Attributes
Identifier | name
var | value

## Detailed Description

Structure for a named var object

Definition at line 39 of file juce_NamedValueSet.h.

## Constructor & Destructor Documentation

## ◆ NamedValue() [1/6]

juce::NamedValueSet::NamedValue::NamedValue | ( |  | ) |
| noexcept

Definition at line 26 of file juce_NamedValueSet.cpp.

## ◆ ~NamedValue()

juce::NamedValueSet::NamedValue::~NamedValue | ( |  | ) |
| noexcept

Definition at line 27 of file juce_NamedValueSet.cpp.

## ◆ NamedValue() [2/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | const Identifier & | name,
|  | const var & | value
| ) |  |

Definition at line 29 of file juce_NamedValueSet.cpp.

## ◆ NamedValue() [3/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | const Identifier & | name,
|  | var && | value
| ) |  |
| noexcept

Definition at line 37 of file juce_NamedValueSet.cpp.

## ◆ NamedValue() [4/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | Identifier && | name,
|  | var && | value
| ) |  |
| noexcept

Definition at line 42 of file juce_NamedValueSet.cpp.

## ◆ NamedValue() [5/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | const NamedValue & | other | ) |

Definition at line 30 of file juce_NamedValueSet.cpp.

## ◆ NamedValue() [6/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | NamedValue && | other | ) |
| noexcept

Definition at line 32 of file juce_NamedValueSet.cpp.

## Member Function Documentation

## ◆ operator!=()

bool juce::NamedValueSet::NamedValue::operator!= | ( | const NamedValue & | other | ) | const
| noexcept

Definition at line 55 of file juce_NamedValueSet.cpp.

## ◆ operator=()

NamedValueSet::NamedValue & juce::NamedValueSet::NamedValue::operator= | ( | NamedValue && | other | ) |
| noexcept

Definition at line 47 of file juce_NamedValueSet.cpp.

## ◆ operator==()

bool juce::NamedValueSet::NamedValue::operator== | ( | const NamedValue & | other | ) | const
| noexcept

Definition at line 54 of file juce_NamedValueSet.cpp.

## Member Data Documentation

## ◆ name

Identifier juce::NamedValueSet::NamedValue::name

Definition at line 55 of file juce_NamedValueSet.h.

## ◆ value

var juce::NamedValueSet::NamedValue::value

Definition at line 56 of file juce_NamedValueSet.h.

The documentation for this struct was generated from the following files:

- juce_NamedValueSet.h
- juce_NamedValueSet.cpp